Package com.xmlmind.util

## Enum VersionNumber.LevelType

- java.lang.Object
- - java.lang.Enum<VersionNumber.LevelType>
  - - com.xmlmind.util.VersionNumber.LevelType

- All Implemented Interfaces:
    `Serializable`, `Comparable<VersionNumber.LevelType>`
  Enclosing class:
    VersionNumber

      public static enum VersionNumber.LevelType
      extends Enum<VersionNumber.LevelType>

  Type of the release: alpha, beta, release candidate or patch.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALPHA` | Alpha release.
    `BETA` | Beta release.
    `PATCH` | Patch release.
    `RELEASE_CANDIDATE` | Release candidate.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |
    `static VersionNumber.LevelType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static VersionNumber.LevelType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALPHA

          public static final VersionNumber.LevelType ALPHA

      Alpha release.

    - #### BETA

          public static final VersionNumber.LevelType BETA

      Beta release.

    - #### RELEASE_CANDIDATE

          public static final VersionNumber.LevelType RELEASE_CANDIDATE

      Release candidate.

    - #### PATCH

          public static final VersionNumber.LevelType PATCH

      Patch release.

  - ### Method Detail

    - #### values

          public static VersionNumber.LevelType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VersionNumber.LevelType c : VersionNumber.LevelType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VersionNumber.LevelType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<VersionNumber.LevelType>`